---
raw: true
search:
  tags:
    - Spaces
    - POST
seo:
  description: >-
    Seal all named files and calculate their SHA-256 and Git blob hashes.…
    Reference for the POST /v1/uploads/{uploadId}/complete endpoint in the
    Spacefast API.
sidebar:
  label: Complete an upload
  badge: POST
title: Complete an upload
type: openapi-operation
---
Seal all named files and calculate their SHA-256 and Git blob hashes. Completed uploads are immutable and can be used for publishing or source edits.

`POST /v1/uploads/{uploadId}/complete`

**Request body** (`application/json`, required)

Request body example:

```json
{}
```

**Responses**

- `200` — Response for status 200
- `default` — Problem details (RFC 9457). Any 4xx/5xx response is one \`application/problem+json\` document.

Response example, 200:

```json
{
  "$schema": "http://example.com",
  "data": {
    "id": "string",
    "teamId": "string",
    "spaceId": "string",
    "status": "open",
    "acceptedBytes": 0,
    "expiresAt": "string",
    "files": [
      {
        "id": "string",
        "path": "string",
        "contentType": "string",
        "status": "open",
        "acceptedBytes": 0,
        "nextChunkIndex": 0,
        "size": 0,
        "sha256": "string",
        "gitBlobSha": "string"
      }
    ]
  }
}
```
